    /**
     * Human-friendly size formatter
     * 
     * @param bytes
     * @param si
     * @return
     */
    public static String formatBytes(long bytes, boolean si) {
        // http://stackoverflow.com/a/3758880/267482
        int unit = si ? 1000 : 1024;
        if (bytes < unit) return bytes + " B";
        int exp = (int) (Math.log(bytes) / Math.log(unit));
        String pre = (si ? "kMGTPE" : "KMGTPE").charAt(exp-1) + (si ? "" : "i");
        return String.format("%.1f %sB", bytes / Math.pow(unit, exp), pre);
}