    @Override
    public void onClick(View v) {
        Log.d(TAG,"onClick");
        //Clear any old error messages
        resultView.setText("");

        //Hide Keyboard. From: http://stackoverflow.com/a/7696791/3371623
        View view = this.getCurrentFocus();
        if (view != null) {
            InputMethodManager inputManager = (InputMethodManager) this.getSystemService(Context.INPUT_METHOD_SERVICE);
            inputManager.hideSoftInputFromWindow(view.getWindowToken(), InputMethodManager.HIDE_NOT_ALWAYS);
        }

        EditText etVar, etVal, etServer, etPort;
        etVar = (EditText) findViewById(R.id.MOOSVar);
        etVal = (EditText) findViewById(R.id.MOOSVarVal);
        etServer = (EditText) findViewById(R.id.MOOSDBIP);
        etPort = (EditText) findViewById(R.id.MOOSDBPort);

        String var, val, server, port, poke;

        var = etVar.getText().toString();
        val = etVal.getText().toString();
        server = etServer.getText().toString();
        port = etPort.getText().toString();

        try {
            int iport=Integer.parseInt(port);
            mMOOSApp.configureServer(server,iport);
            mMOOSApp.setName("Test");
        } catch (Exception e) {
            e.printStackTrace();
        }
        Log.d(TAG,"Launching");
        launchTheMOOS();

}