	/**
	 * Convert a String containing a hexadecimal representation of a byte[] into a byte[].
	 * Credit: Dave L. on StackOverflow: http://stackoverflow.com/a/140861/1232833
	 * @param s The hex string
	 * @return The byte[]
	 */
	protected static byte[] hexStringToByteArray(String s) {
	    int len = s.length();
	    byte[] data = new byte[len / 2];
	    for (int i = 0; i < len; i += 2) {
	        data[i / 2] = (byte) ((Character.digit(s.charAt(i), 16) << 4)
	                             + Character.digit(s.charAt(i+1), 16));
	    }
	    return data;
}