	/** Returns a string representation of the specified input stream. 
	 * @param inputStream the input stream which should be converted to a string
	 * @return A string representation of the stream or an empty string if a problem occurred
	 * @author Paval Repin - http://stackoverflow.com/a/5445161 */
	public static String convertInputStreamToString(java.io.InputStream inputStream) {
		try {
			return new java.util.Scanner(inputStream).useDelimiter("\\A").next();
		} catch (java.util.NoSuchElementException e) {
			return "";
		}
}