    public static String getStringAndCloseStream(InputStream is) throws IOException {
        //Using the trick described in this link to read whole streams in one operation:
        //http://stackoverflow.com/a/5445161
        try {
            Scanner s = new Scanner(is).useDelimiter("\\A");
            return s.hasNext() ? s.next() : "";
        }
        finally {
            is.close();
        }
}