	public static void close(final ForgeTask task) {
		task.performAsync(new Runnable() {
			@Override
			public void run() {
				//http://stackoverflow.com/a/7696791/1091751
				InputMethodManager inputManager = (InputMethodManager) ForgeApp.getActivity().getSystemService(Context.INPUT_METHOD_SERVICE);
				View v = ForgeApp.getActivity().getCurrentFocus();

				if (v == null) {
					task.error("No current focus");
				} else {
					inputManager.hideSoftInputFromWindow(v.getWindowToken(), InputMethodManager.HIDE_NOT_ALWAYS);
					task.success(); // Thread-safe.
				}
			}
		});
}