	/**
	 * this implementation does not use readLines or the like since they are all lossy (you cannot tell which line
	 * separator was used)
	 * <p/>
	 * See http://stackoverflow.com/questions/326390/how-to-create-a-java-string-from-the-contents-of-a-file/326440 and
	 * http://stackoverflow.com/questions/554266/java-reading-the-trailing-new-line-from-a-text-file
	 */
	@Override
	public String readUTF8Text(@NotNullable final Path filePath) {
		try {
			final byte[] encoded = Files.readAllBytes(filePath);
			final Charset charset = Charset.forName("UTF-8");
			return new String(encoded, charset);
		} catch (final IOException e) {
			throw new MptRtException(e.getMessage(), e);
		}
}